Bug 1757368 (CVE-2017-18551) - CVE-2017-18551 kernel: out of bounds write in function i2c_smbus_xfer_emulated in drivers/i2c/i2c-core-smbus.c
Summary: CVE-2017-18551 kernel: out of bounds write in function i2c_smbus_xfer_emulate...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-18551
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1822641 1822642 1757369 1804074
Blocks: 1757371
TreeView+ depends on / blocked
 
Reported: 2019-10-01 10:39 UTC by Dhananjay Arunesh
Modified: 2020-05-12 16:31 UTC (History)
50 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out of bounds (OOB) memory access flaw was found in i2c_smbus_xfer_emulated in drivers/i2c/i2c-core-smbus.c in I2C subsystem. A read request for length (data->block[0]) greater than 'I2C_SMBUS_BLOCK_MAX + 1' may cause underlying I2C driver write out of array's boundary. This could allow a local attacker with special user privilege (or root) to crash the system or leak kernel internal information.
Clone Of:
Environment:
Last Closed: 2020-05-12 16:31:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2104 None None None 2020-05-12 15:12:22 UTC

Description Dhananjay Arunesh 2019-10-01 10:39:40 UTC
An out of bounds (OOB) memory access flaw was found in i2c_smbus_xfer_emulated in drivers/i2c/i2c-core-smbus.c in I2C subsystem. A read request for length (data->block[0]) greater than 'I2C_SMBUS_BLOCK_MAX + 1' may cause underlying I2C driver write out of array's boundary. This could allow a local attacker with special user privilege (or root) to crash the system or leak kernel internal information.
 

Reference:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=89c6efa61f5709327ecfa24bff18e57a4e80c7fa
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.15

Comment 1 Dhananjay Arunesh 2019-10-01 10:40:20 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1757369]

Comment 2 Justin M. Forbes 2019-10-01 13:48:32 UTC
This was fixed for Fedora in the 4.14.15 stable update

Comment 3 Rohit Keshri 2020-02-18 07:41:02 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 11 errata-xmlrpc 2020-05-12 15:12:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2104 https://access.redhat.com/errata/RHSA-2020:2104

Comment 12 Product Security DevOps Team 2020-05-12 16:31:55 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-18551


Note You need to log in before you can comment on or make changes to this bug.